Overview

The ThinkPad EasyEject Utility makes removing multiple devices from your computer faster and easier by enabling you to stop more than one device at once, rather than stopping each device individually.

Most USB, IEEE 1394, and PC card devices are hot swappable or warm swappable. This means that they can be connected to and disconnected from your computer, docking station, Mini Dock, or UltraBase without turning off the power. However, before you can physically remove (eject) these devices from your system, you must first stop the devices so that the operating system no longer accesses them - otherwise, data can be lost.

The EasyEject Utility allows you to create a list of devices which can then be stopped with a single click. You can quickly access the EasyEject function in three ways: Pressing the Fn+F9 key combination on your keyboard, using the EasyEject system tray icon (Windows 2000/XP only), or launching the EasyEject utility from the Start menu.

Note: Some models of ThinkPad computers do not support the Fn+F9 key combination.

Configuring EasyEject

Using EasyEject

Trademarks


Configuring EasyEject

You can create a list of devices that you want EasyEject to stop and choose how you prefer to access the EasyEject feature.

To configure EasyEject, follow these steps:

  1. Open the Configure EasyEject Actions window of the EasyEject utility by clicking on the EasyEject icon in your system tray (Windows 2000/XP only):

    Or, press Fn+F9 and click Configure EasyEject Actions. You can also access the utility from the Start menu.

    Note: Some models of ThinkPad computers do not support the Fn+F9 key combination.

    The Configure EasyEject Actions window shows a list of ejectable devices that are inserted in your computer, docking station, Mini Dock, UltraBase, or port replicator. This list is automatically updated whenever a new device is inserted.

  2. Assign an action to each device in the EasyEject list by choosing an action from the EasyEject Action dropdown. For each device, you have three choices:

    Choice | What happens when Run EasyEject Actions is clicked | Examples
    Stop device | EasyEject will attempt to stop the device | USB devices, Network PC cards, Wireless PC cards
    Do not stop device | EasyEject will not attempt to stop the device | Removable device bay devices
    Ask me | EasyEject will ask you if you want to stop the device or not | Microdrive storage device, USB Memory Key storage devices

    When you click Run EasyEject Actions, all of the actions that you have defined in this list will be performed and a window will be displayed that shows the status of each device and whether it is safe to remove the device from your system.

    If you want to change the name of the device as it appears in the EasyEject list, right-click on the device name, and click Rename.

    If you are no longer using the device, you can remove the device from the EasyEject list. To remove the device from the list, right-click on the device name, and then click Remove from list. The device is deleted from the list until the next time the device is inserted.

  3. Choose which EasyEject options you prefer:

    Notify with a beep when stopping a device

    To hear a beep as each device is stopped, select this option.

    Automatically close the EasyEject status window

    To close the EasyEject status window automatically after 5 seconds when all devices have stopped successfully, select this option.

    Show EasyEject icon on the taskbar (Windows 2000/XP only)

    To display the EasyEject icon in the system tray, select this option.

    Show Windows Unplug/Eject Hardware icon on the taskbar

    To display the Unplug or Eject Hardware system tray icon provided by Windows(R) 2000, select this option. The Show EasyEject icon on the taskbar option also must be checked. You must restart your computer for this option to take effect.

  4. Choose the action performed when you press the Fn+F9 key combination by clicking Fn+F9 Settings.... You can configure Fn+F9 either to display a menu of eject options that you can choose from, to immediately run the EasyEject actions you defined in the EasyEject list, or to automatically stop all devices necessary to allow you to safely eject your ThinkPad PC from a docking station, Mini Dock, or UltraBase.

    Note: Some models of ThinkPad computers do not support the Fn+F9 key combination.


Using EasyEject

EasyEject can be used to stop a single device, to stop multiple devices, or to eject your ThinkPad PC from a docking station, Mini Dock, or UltraBase.

To stop a single device with EasyEject, left-click the EasyEject icon in the system tray (Windows 2000/XP only) or press Fn+F9 and then select the device you want to stop. To stop a single device from the Fn+F9 on-screen display menu, you need to click Fn+F9 Settings... and enable the Show each ejectable device as a separate menu item option.

To stop multiple devices simultaneously with EasyEject, click Run EasyEject Actions either in the Configure EasyEject Actions window, in the menu displayed when Fn+F9 is pressed, or in the menu shown when you left-click the EasyEject system tray icon (Windows 2000/XP only). See Configuring EasyEject to learn how to open the EasyEject utility and how to define which devices will be stopped when you click Run EasyEject Actions.

To use EasyEject to automatically stop all devices that are necessary to safely eject your ThinkPad PC from a docking station, Mini Dock, or UltraBase, press Fn+F9 and choose the Eject ThinkPad PC option. To use this feature, you must configure the Fn+F9 key combination either to show the EasyEject menu or to directly run the Eject ThinkPad PC action. See Configuring EasyEject to learn how to configure Fn+F9 settings.

After you select Run EasyEject Actions or Eject ThinkPad PC, a window will be displayed that shows the status of each device and whether it is safe to remove the devices from your system.

Note: Some models of ThinkPad computers do not support the Fn+F9 key combination.


Trademarks

The following terms are trademarks or service marks of Lenovo in the United States or other countries:

  • ThinkPad

The following terms are trademarks of other companies:

  • Microsoft : Microsoft Corporation

  • Windows : Microsoft Corporation

  • PCMCIA : Personal Computer Memory Card International Association